> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET

> Retrieve a transponder by ID



## OpenAPI

````yaml get /v2/transponders/{id}/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/transponders/{id}/:
    get:
      tags:
        - Transponders
      operationId: v2_transponders_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReadTransponder'
          description: ''
components:
  schemas:
    ReadTransponder:
      type: object
      description: Transponder model serializer intended to used for reading and listing
      properties:
        id:
          type: integer
          readOnly: true
        vehicle:
          $ref: '#/components/schemas/Vehicle'
        fleet:
          $ref: '#/components/schemas/FlatFleet'
        agencies:
          type: array
          items:
            $ref: '#/components/schemas/Agency'
        vehicle_type:
          $ref: '#/components/schemas/VehicleType'
        number:
          type: string
          maxLength: 64
        status:
          $ref: '#/components/schemas/StatusBf2Enum'
      required:
        - agencies
        - fleet
        - id
        - number
        - vehicle
        - vehicle_type
    Vehicle:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        plate_number:
          type: string
          maxLength: 15
        plate_state:
          type: string
          maxLength: 2
        vehicle_number:
          type: string
          maxLength: 20
        active:
          type: boolean
        vehicle_make:
          type: string
          nullable: true
          maxLength: 50
        vehicle_model:
          type: string
          nullable: true
          maxLength: 50
        year:
          type: string
          nullable: true
          maxLength: 5
        lessee_renter:
          type: string
          nullable: true
          title: Lessee/Renter
          maxLength: 255
        custom_fields:
          type: string
          readOnly: true
        vehicle_type_code:
          type: string
          nullable: true
          maxLength: 15
        added_date:
          type: string
          format: date-time
          readOnly: true
        fleet:
          allOf:
            - $ref: '#/components/schemas/Fleet'
          readOnly: true
      required:
        - added_date
        - custom_fields
        - fleet
        - id
    FlatFleet:
      type: object
      description: Fleet model serializer without nested relations
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          maxLength: 255
        is_active:
          type: boolean
      required:
        - id
    Agency:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          maxLength: 70
        detail:
          type: string
          maxLength: 250
      required:
        - detail
        - id
        - title
    VehicleType:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        vehicle_type_code:
          type: string
          maxLength: 15
        vehicle_type_text:
          type: string
          maxLength: 255
      required:
        - id
        - vehicle_type_code
        - vehicle_type_text
    StatusBf2Enum:
      enum:
        - IN_STOCK
        - IN_SHIPMENT
        - PENDING_VEHICLE
        - ACTIVE
        - REQUESTED_REMOVAL
        - RETURN_IN_PROGRESS
        - RETURNED
        - RETURNED_TO_TOLL_AUTH
        - LOST_OR_STOLEN
        - LOST_DEACTIVATED
      type: string
      description: |-
        * `IN_STOCK` - In stock
        * `IN_SHIPMENT` - Shipment in progress
        * `PENDING_VEHICLE` - Pending vehicle
        * `ACTIVE` - Active
        * `REQUESTED_REMOVAL` - Requested removal
        * `RETURN_IN_PROGRESS` - Return in progress
        * `RETURNED` - Returned to FleetIT
        * `RETURNED_TO_TOLL_AUTH` - Returned to toll authority
        * `LOST_OR_STOLEN` - Lost/Stolen
        * `LOST_DEACTIVATED` - Lost-deactivated
    Fleet:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        regions:
          type: array
          items:
            type: integer
            writeOnly: true
          writeOnly: true
        region_details:
          type: array
          items:
            $ref: '#/components/schemas/Region'
          readOnly: true
        title:
          type: string
          maxLength: 255
        is_active:
          type: boolean
        billing_type:
          $ref: '#/components/schemas/BillingTypeEnum'
        onboarding_stage:
          $ref: '#/components/schemas/OnboardingStageEnum'
        warning_threshold_per_vehicle:
          type: string
          format: decimal
          pattern: ^-?\d{0,5}(?:\.\d{0,2})?$
          nullable: true
        deactivation_threshold_per_vehicle:
          type: string
          format: decimal
          pattern: ^-?\d{0,5}(?:\.\d{0,2})?$
          nullable: true
        client:
          type: string
          nullable: true
          maxLength: 100
        onboarding_vehicle_order:
          type: integer
          nullable: true
      required:
        - id
        - region_details
        - regions
    Region:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          maxLength: 70
      required:
        - id
        - title
    BillingTypeEnum:
      enum:
        - PREPAID
        - POSTPAID
      type: string
      description: |-
        * `PREPAID` - prepaid
        * `POSTPAID` - postpaid
    OnboardingStageEnum:
      enum:
        - INITIAL
        - FLEET_NAMED
        - VEHICLES_ADDED
        - COMPLETED
      type: string
      description: |-
        * `INITIAL` - Initial
        * `FLEET_NAMED` - Fleet Named
        * `VEHICLES_ADDED` - Vehicles Added
        * `COMPLETED` - Completed
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````